<template>
    <div>
        <v-container>
            <v-row >
                <v-col sm="5" xs="12">
                    <v-carousel
                        hide-delimiters
                        show-arrows
                        :height="height"
                        v-model="current"
                    >
                        <v-carousel-item
                        v-for="(slide, i) in pagination.data"
                        :key="i"
                        >
                        <v-img
                            
                            :src="$config.DEFAULT_URL +'magazine/'+ slide.image"
                        >
                            <div class="text-center pa-2 primary">
                               {{ slide.titre}}
                            </div>
                        </v-img>
                        </v-carousel-item>
                    </v-carousel>
                </v-col>
                <v-col sm="7" xs="12">
                    <v-col xs="12" v-for="mag in pagination.data" :key="mag._id" :class="mag.numero===1? 'primary': ''">
                        <a :href="mag.lien" target="_blank">
                            <v-card
                            min-height="150"
                        >
                            <v-card-text>
                                <v-row>
                                    <v-col xs="2" sm="2">
                                        <v-img width="75" :lazy-src="$config.DEFAULT_URL +'magazine/'+ mag.image"     :src="$config.DEFAULT_URL +'magazine/'+ mag.image" height="100"></v-img>
                                    </v-col>
                                    <v-col xs="10" sm="10">
                                        <h3>magazine n° {{mag.numero}}</h3>
                                        {{ mag._id}}
                                    </v-col>
                                </v-row>
                            </v-card-text>
                        </v-card>
                        </a>   
                    </v-col>  
                    <div class="text-center">
                        <v-pagination
                        v-model="page"
                        :length="pagination.total_pages"
                        ></v-pagination>
                    </div>
                </v-col>
            </v-row>
            <v-row>
                <v-col xs="6" sm="6" v-for="article in paginationArticle.data" :key="article._id">
                    <v-card
                        min-height="100"
                    >
                        <v-card-text>
                            <v-row>
                                <v-col xs="2" sm="4">
                                    <v-img width="100" lazy-src="../assets/magazine.jpg" src="../assets/annonce.png" ></v-img>
                                </v-col>
                                <v-col xs="10" sm="8">
                                    <h3>{{ article.titre }}</h3>
                                    {{ article.description.substring(0,20)}}... <a href="/articles/1">lire la suite</a>
                                </v-col>
                            </v-row>
                        </v-card-text>
                    </v-card>
                </v-col>
                <v-col sm="12">
                    <div class="text-center">
                        <v-pagination
                        v-model="pageArticle"
                        :length="paginationArticle.total_pages"
                        ></v-pagination>
                    </div> 
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>
<script>
export default{
    name: "Magazine",
    data: () => ({
        pagination:{},
        tabs:0,
        cardModel: 1,
        page: 1,
        pageArticle:1,
        current: 0,
        slides: [
        'First',
        'Second',
        'Third',
        'Fourth',
        'Fifth',
        ],
        paginationArticle:{},
    }),
    computed: {
        height () {
            switch (this.$vuetify.breakpoint.name) {
            case 'xs': return 300
            default : return 700
            }
        },
        
    },
    created(){
      this.getMagazine();
      this.getAllArticle();
    },
    methods:{
       async getMagazine(){

                    await this.$store.dispatch('autoshop/loadMagazine');
                   var allMagazine =  this.$store.getters["autoshop/magazines"].reverse();
                  this.pagination = this.$config.paginator(allMagazine);

        },

        async getAllArticle(){

                    await this.$store.dispatch('autoshop/loadArticles');
                    var allArticles = this.$store.getters["autoshop/articles"].reverse();
                    this.paginationArticle = this.$config.paginator(allArticles);
                

        }
    },
    watch:{
      
      page(value){
               var allMagazine =  this.$store.getters["autoshop/magazines"].reverse();
                  this.pagination = this.$config.paginator(allMagazine,value);
      },
      pageArticle(value){
                 var allArticles = this.$store.getters["autoshop/articles"].reverse();
                    this.paginationArticle = this.$config.paginator(allArticles,value);
      }


    }
}
</script>